/**
 * 
 */
package de.IAS;

/**
 * @author rueckert
 *
 */
import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;

public class Main {

	static class MyListener implements PropertyChangeListener{
		int counter = 1;
		@Override
		public void propertyChange(PropertyChangeEvent evt) {
			
			System.out.println(counter);
			
			counter++;
//			float[] values = (float[])evt.getNewValue();
//			
//			System.out.println("STATE length "+values.length+"\t"+values[0]+" "+values[1]+" "+values[2]+" "+values[3]+" "+values[4]+" "+values[5]);
			
		}
		
	}
	
	public static void main(String[] args) {

		FTCL5040Sensor forceSensor = new FTCL5040Sensor("/dev/ttyS0", 57600);
		forceSensor.addPropertyChangeListener(new Main.MyListener());
		
		forceSensor.open();
		
		try {
			
//			float[] forceTorqueValuesFloat = forceSensor.readForcesAndTorquesBlocking();
//			System.out.println("Fx: " + forceTorqueValuesFloat[0] + " Fy: " + forceTorqueValuesFloat[1] + " Fz: " + forceTorqueValuesFloat[2]);
//			System.out.println("Tx: " + forceTorqueValuesFloat[3] + " Ty: " + forceTorqueValuesFloat[4] + " Tz: " + forceTorqueValuesFloat[5]);
			
//			Thread.sleep(1000);
			
			forceSensor.startCyclicTransmission(10);
			Thread.sleep(10000);


//			forceSensor.setSensorToZero();
			
//			int[] testValues = forceSensor.readTestIntValuesBlocking();
//			int[] trueValues = {-1, 0, -1024, 255, 511, 256};
//			for(int i=0; i<6; i++){
//				System.out.println("true: " + trueValues[i] 
//						+ " received(int16): " + testValues[i]);
//			}
//			
//			float[] testValuesFloat = forceSensor.readTestFloatValuesBlocking();
//			double[] trueValuesFloat = {100.0, -100.0, 1.235678, -1.2345678, 12.345678, 0.0};
//			for(int i=0; i<6; i++){
//				System.out.println("true: " + trueValuesFloat[i] 
//						+ " received(float): " + testValuesFloat[i]);
//			}

//			int[] forceValues = forceSensor.readIntForceValuesBlocking();
//			float[] forceTorqueValuesFloat = forceSensor.readForcesAndTorquesBlocking();
//
////			System.out.println("Fx: " + forceValues[0] + " Fy: " + forceValues[1] + " Fz: " + forceValues[2]);
//			System.out.println("Fx: " + forceTorqueValuesFloat[0] + " Fy: " + forceTorqueValuesFloat[1] + " Fz: " + forceTorqueValuesFloat[2]);
//			System.out.println("Tx: " + forceTorqueValuesFloat[3] + " Ty: " + forceTorqueValuesFloat[4] + " Tz: " + forceTorqueValuesFloat[5]);
//		
//			Thread.sleep(1000);
		
		} catch(Exception e){
			System.out.println("Exception catched ... " + e.getMessage());
		}
		

		forceSensor.close();
		System.out.println("MAIN TERMINATED " );
	}

}
